﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define b = Character("Bigfoot")
define t = Character("Ben Twist the Biologist")
define m = Character("me")
define k = Character("Kay Quinn")
define r = Character("Internet Trolls")
# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    #scene bg room

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    #show eileen happy

    # These display lines of dialogue.

    "It had to be this year.  The year gripped in a worldwide pandemic, political turmoil, and everyone struggling with their health or finances or both!"

    "But I worked my whole life for this. This search is my hope in a sea of devastation.  It’s my drive to get out of bed in the morning.  This is the year my search would end."

    "The elusive bigfoot no longer evades my grasp!  I’ll finally prove to the world what I have known all along.  The Great North American Ape exists and roams the wooded areas of these United States!"
    play sound "footsteps.mp3"

    scene woods
    with dissolve

    "I have tracked him here to {i}undisclosed location{/i}.  Eyewitness sightings and tracking point  here on the map.  I can taste the sweet stench of his big feet!"
    show bigfoot at center with dissolve
    play sound "yell.mp3"
    "Oh my God.  There he is."

    "My chest tightens and I only breathe in short fleeting breaths.  I quiet my beating heart and gasping lungs as my veins yearn for more oxygenated blood."


    menu:
        "I find myself hesitating despite my anticipation and desire for this very juncture in time.  The gravity of the situation weighs on me heavily and a misstep would mean a lifetime of regret.  What should I do? Please help me decide!"
        "Shoot Bigfoot with a Rifle":
            jump rifle
        "Shoot Bigfoot with a Camera":
            jump camera
        "Befriend Bigfoot":
            jump befriend
label rifle:
    "I lift my rifle onto my shoulder and press my eye against the scope while ripping off my woolen mittens and tossing them to the ground."
    "My teeth nash into splinters and my eyes turn to hot boiling pools of lava.  As I catch the beast in my crosshairs, I gingerly pet the trigger with my frozen finger. I empty my lungs as I prepare to shoot."
    "I squeeze the trigger"
    play sound "shot.mp3"
    hide bigfoot with fade
    play sound "yell.mp3"
    "He's gone"
    "The bullet plunges into Bigfoot’s chest as he collapses to the earth. I watch his chest rise and fall as he lays in the white snow quickly staining it with red.  I watch him until his chest no longer rises and his body depresses further into itself.  He’s gone forever now."
    "I roll the corpse onto the sled and drag it to my home.  I excitedly call my scientist friends to tell them the news and analyze the specimen."
    #Photo by Ousa Chea on Unsplash
    scene lab
    with dissolve
    "Ben Twist the Biologist leans over his microscope.  He gasps, raising his hand to his mouth and then looks at the microscope again.  Then he looks at me mouth open."
    t "Do you know what you have here?"

    m "Is it Bigfoot?  What other animal could it be?"

    b "I’ve never seen anything like it.  It looks like you have discovered a unique species.  This may be the proof you were looking for."

    "I jumped up and shook his hand.  I had done it!  This was proof of Bigfoot.  Everyone would want to interview me and I would finally get the recognition for all my hard work! But Ben Twist’s face still looks stern and cold."

    b "Why did you have to kill the beast?  How many of these creatures exist in the world and what can we learn from them?  Did he deserve to die like this?  He could be the last of the species damn it!  Why hasn’t any other individual been discovered?"

    b "But you needed to prove something!  Tell me this, do you feel justified?  You have spent countless years searching for bigfoot and then just murder him?  I don’t agree with killing a critically endangered animal.  I want you to leave!"

    "I walk out of the lab thinking about what the biologist said."
    scene black
    with dissolve
    "What right did I have to take this life?  What dreams have I destroyed?   My insatiable appetite for truth and notoriety blinded me to who the creature truly is. The search for Bigfoot meant everything to me."
    "This Bigfoot research was my friend in a time of loneliness.  And I have murdered my friend to prove a point."
    "{b}YOU ARE THE MONSTER ENDING{/b}"

    return

label camera:
    #show bigfoot posing
    "My hands shake as I pull out my camera from it’s insulated case.  I grip my teeth onto my woolen mittens, tearing them from my hands and tossing them on the white snow."
    play sound "camera.mp3"
    "Shots burst from my camera capturing the Bigfoot. My finger, frozen on the shutter button, turns white from the pressure.  My eyes glue themselves to the viewfinder of my DSLR as Bigfoot saunters back off into the brush."
    hide bigfoot with fade
    "I got it! I got the shot!"
    "I check my camera again and flip through the shots.  They are super clear! These are definitely the highest quality bigfoot shots of all time! And they also capture the beast’s movement because I shot them in burst mode!"
    "I carefully nestle my camera back into its case.  I gather up my mittens and head back home."
    #Photo by Josh Sorenson from Pexels
    scene computer with dissolve
    "Once I get back, I rush to upload the photos. Ha! And I backed them up three times! I post them on My website( IHeartBigfoot.com), all the social media sites and everywhere else I can think of!"
    "The world needs to know about this photographic proof that Sasquatch is real! I emailed the shots to some experts as well."

    "I fumble my cell phone as it rings loudly breaking the nervous silence of my room.  It's Ben Twist the Biologist!  I answer the call and put him on speaker."

    t "These photos are remarkable! So realistic! How did you create the Bigfoot?"

    m "What? No, Ben, These are photos of the real bigfoot!  I took them with my camera."

    t "hmm. Okay. I know the Bigfoot legend is a passion of yours but you know he isn’t real right?"
    t "How would the ecosystem support a large primate like that without anyone noticing them?  It would be impossible for Bigfoot to survive."

    m "But I saw him with my own two eyes!  I’m not making this up and I’m not crazy!"

    t "Just calm down. Maybe you saw something else.  This could be a bear with mange for example."
    m "..."
    m "Okay, Well, I value your opinion.  Thanks for the call."

    "I throw my phone down on the bed and bury my head in my hands.  Kay Quinn left me an email! I hope she will prove that the Bigfoot in the photo is not a costume.  I hold my breath as I move my cursor to open to email."

    k "Wow! I love this character.  The makeup is so detailed and the hair is layed beautifully."
    k "Who is the artist? Can you send me their contact information?  Their work is amazing!  Keep up the great work!"

    "No one thinks the photos are real!  Tears well up in my eyes and I wipe my nose on my sleeve. How can I prove the photos are real? I reluctantly check the comments online."

    r "FAKE NEWS."
    r "You’re an idiot!"
    r "So Fake!"
    scene black with dissolve
    "I close my laptop.  Tears stream down my face.  How do I find more proof?"

    menu:
        "You still need more proof"
        "Give up and become a reality show star":
            jump reality
        "Get more proof":
            "I must fo back to the place I took those photos and investigate more!"
            "This time I will get the proof I need!"
            jump start

label reality:
    #Photo by John-Mark Smith from Pexels
    scene tv with dissolve
    play sound "applause.mp3"
    "I become a reality show star on the Yesteryear channel searching for bigfoot with a group of other bigfoot hunters"
    "The pay is good but I never get another chance to photograph Bigfoot."
    "{b}REALITY SHOW STAR ENDING{/b}"
    return

label befriend:
    "I slowly reach down into my bag and pluck out a granola bar.  Carefully, I unwrap it and place it gingerly on a stump in front of me."
    "The Bigfoot raises an eyebrow and looks inquisitively at me and then the granola bar.  The creature inches toward the snack keeping an eye on me the whole time.  Finally, Bigfoot sniffs the granola before taking a bite of the treat."
    "Approving of the taste, he swallows the granola bar and licks his lips.  I gesture toward the way back home and he seems to understand."

    m "Do you want to come stay with me?  I can make cheeseburgers to eat tonight so we can eat ouside where you are comfortable!"
    m "But you are welcome to stay in the guest room if you want."
    play sound "yell.mp3"
    b "Huhm ugh"

    m "Well, that’s Great!!  I’ve always admired you and I would love a diner guest."
    play sound "yell.mp3"
    b "Hmmm ah!"

    m "Let’s go friend!"
    #Photo by skitterphoto from Pexels
    scene burger with dissolve
    "Bigfoot and I march towards my home looking forward to a hamburger dinner cooked over coals."

    "We try to communicate a little more while eating.  I wonder what language he speaks or whether he has a family."
    scene black with dissolve
    "Do you think he’s lonely?  How many other Bigfeet can there be out there?  I wonder what kind of stories he can tell?  I’m excited to find out what we can learn from each other."
    #Photo by Pixabay from Pexels
    scene room with dissolve
    show bigfoot at center with dissolve
    "The next day I invited my friends Ben Twist the Biologist and Kay Quinn, the special effects artist, to my house to lend me their expertise."
    "They stared in disbelief at the Bigfoot who was sitting on the couch eating popcorn.  Ben and Kay wave at Sasquatch who waves back while continuing to eat."
    "Ben collected some Bigfoot hair to bring back to his lab."
    "Kay looked closely, critical of the possibility of a hoax. She looks befuddled while checking for makeup prosthetics and finely layered hair appliances."

    "Later Ben Twist the Biologist verifies through genetic sequencing that creature on my couch was a unique species uncatalogued by science. We start collaborating on a paper to announce bigfoot to the public!"

    "Over the next few months we learn American Sign Language together.  His vocal chords don’t make the same kinds of sounds mine do.  We can kinda communicate with each other now even though sometimes we get confused."
    "We prepare to announce Bigfoot to the world!"
    #Photo by Caleb Oquendo from Pexels
    scene press with dissolve
    play sound "camera.mp3"
    play sound "mob.mp3"
    "Finally we are ready to report our findings.  I am nervous and excited about how everyone will react.  We hold our press conference this afternoon.  Bigfoot will join us with a sign language interpreter."

    "How will everyone react to undeniable proof of Bigfoot?  He stands before news cameras ready for a new dawn in interspecies communication. Is society ready for this groundbreaking information?"

    menu:
        "How will society react to undeniable proof of bigfoot"
        "Society Accepts Bigfoot":
            jump bff
        "Society Denys Bigfoot":
            jump fake
        "Society Denouces Bigfoot":
            jump mob

#Cruelty of Society ending
label mob:
    play sound "mob.mp3"
    scene black with dissolve
    "Townsfolk invade your house with pitchforks."
    "You try your best to escape or get help"
    menu:
        "Bigfoot escapes to live in the woods":
            jump escape
        "Bigfoot is killed by the mob":
            jump killed

label killed:
    scene black with dissolve
    play sound "yell.mp3"

    "The crowd bludgeons Bigfoot with all the rage in their bodies"
    "When the dust clears Bigfoot is dead and lays on my bedroom floor"
    "I crumple to the floor and hold my friend close to my chest while tears stream down my face."
    "{b}CRUEL SOCIETY ENDING{/b}"
    return

label escape:
    scene black with dissolve
    "You think about bigfoot everyday and wonder if you will ever see your friend again."
    "But it is better this way.  People weren't ready to hear the truth. Thankfully he escaped and can live in peace."
    "{b}BIGFOOT ESCAPES AND YOU ARE ALONE AGAIN ENDING{/b}"
    return

#Fake news/Exiled from Society Ending
label fake:
    scene black with dissolve
    "Bigfoot is fake news"
    "You are ridiculed for believing in Bigfoot."
    "You lose your job and house. You live off the grid with Bigfoot"
    "People forget about you and bigfoot"
    "{b}LIVE THE REST OF YOUR LIFE IN DISGRACE ENDING{/b}"
    return

#Best Friends Ending
label bff:
    scene black with dissolve
    "Bigfoot finds a career as a SFX makeup artist with Kay Quinn on the continuation of the {i}The Starving Quest{/i} series"
    "I go back to school for Ecology and advocate for protecting the planet from Climate Change."
    play sound "yell.mp3"
    "But mainly we play Video games together on the Sofa!"
    "{b}BEST FRIENDS FOREVER{/b}"
    return
